#include clientscripts\_utility; 
#include clientscripts\_ambientpackage;
#include clientscripts\_music;
#include clientscripts\_busing;

main()
{
	//************************************************************************************************
	//                                       Ambient Packages
	//************************************************************************************************

	package = "omahabeach_atsea";
	declareAmbientPackage( package );  

	package = "omahabeach_bunker";
	declareAmbientPackage( package );
		addAmbientElement( package, "amb_mosquito", 15, 30 );
		addAmbientElement( package, "amb_flies", 10, 20, 10, 110);
		addAmbientElement( package, "amb_wood_creak", 5, 20,100, 300 );
		addAmbientElement( package, "amb_sand_fall", 5, 20,100, 300 );
		addAmbientElement( package, "bomb_far_falloff_occluded", 2, 10,1000, 4500);
		
	package = "omahabeach_outdoors";
	declareAmbientPackage( "omahabeach_outdoors" );
		//addAmbientElement( package, "bomb_far", 2, 8,1000, 4500);		
		//addAmbientElement( package, "amb_distant_arty", 4, 13,1000, 4000);
		//addAmbientElement( package, "amb_distant_arty", 1, 6,3000, 6000);
	
	//************************************************************************************************
	//                                       ROOMS
	//************************************************************************************************

	room = "omahabeach_atsea";
	declareAmbientRoom( room );
		setAmbientRoomTone( room, "bgt_wind_atsea" );
		setAmbientRoomReverb( room, "plain", 1, 1);

	room = "omahabeach_bunker";
	declareAmbientRoom( room );
		setAmbientRoomTone( room, "bgt_wind_interior" );
		setAmbientRoomReverb( room, "cave", 1, 1 );	
		
	room = "omahabeach_outdoors";
	declareAmbientRoom( room );
		setAmbientRoomTone( room, "bgt_wind_outdoor" );
		setAmbientRoomReverb( room, "forest",  1, 1);
	
	//************************************************************************************************
	//                                      ACTIVATE DEFAULT AMBIENT SETTINGS
	//************************************************************************************************

	activateAmbientPackage( 0, "omahabeach_outdoors", 0 );
	activateAmbientRoom( 0, "omahabeach_outdoors", 0 );

	//************************************************************************************************
	//                                      MUSIC PACKAGES
	//************************************************************************************************

	declareMusicState( "INTRO" );
		musicAlias( "mx_intro", 3 );
		
	declareMusicState( "BATTLE" );
		musicAliasloop( "mx_battle", 1, 2);
		
	declareMusicState( "END" );
		musicAlias( "mx_end", 2 );
}